Luhn Algorithm Validation
curl --request GET \
--url https://api.orchestrasolutions.com/Tools/luhn \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.orchestrasolutions.com/Tools/luhn"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.orchestrasolutions.com/Tools/luhn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"luhnValid": true,
"error": "<string>",
"iinData": {
"bin": "<string>",
"cardBrand": "<string>",
"cardType": "<string>",
"category": "<string>",
"issuingOrganization": "<string>",
"countryCode": "<string>",
"brandLogoUrl": "<string>"
}
}[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]Card Tools
Luhn Algorithm Validation
This method allows you to provide the card number and validate it against the Luhn algorithm. In addition, you can choose to receive the card’s metadata in the response.
GET
/
Tools
/
luhn
Luhn Algorithm Validation
Luhn Validation Guide
Complete guide with examples, parameters, and best practices
Authorizations
Please enter ApiKey into field
Query Parameters
The full card number to be validated
An optional indicator to specify whether the card metadata should be included in the response